<?php
require_once './dbconnection.php'; 
header('Content-Type: application/json');

// Check if the request method is POST
if ($_SERVER['REQUEST_METHOD'] == 'POST') {
  
    if (isset($_POST['userId'])) {
        $userId = mysqli_real_escape_string($conn, $_POST['userId']);

        // Query to fetch the registration data based on userId
        $query = "SELECT * FROM register WHERE id = '$userId'";
        $result = mysqli_query($conn, $query);

        // Check if the user exists
        if (mysqli_num_rows($result) > 0) {
            $userData = mysqli_fetch_assoc($result);

            // Respond with the registration data
            $response = array(
                "ResponseCode" => "200",
                "Result" => "true",
                "ResponseMsg" => "User data retrieved successfully.",
                "UserData" => $userData
            );
            echo json_encode($response);
        } else {
            // If no user found with the given userId
            $response = array(
                "ResponseCode" => "404",
                "Result" => "false",
                "ResponseMsg" => "User not found."
            );
            echo json_encode($response);
        }
    } else {
        // If 'userId' is not provided in the POST data
        $response = array(
            "ResponseCode" => "400",
            "Result" => "false",
            "ResponseMsg" => "userId is required."
        );
        echo json_encode($response);
    }
} else {
    // If the request method is not POST
    $response = array(
        "ResponseCode" => "405",
        "Result" => "false",
        "ResponseMsg" => "Method not allowed. Only POST requests are allowed."
    );
    echo json_encode($response);
}
?>
