<?php
require_once './dbconnection.php'; 
header('Content-Type: application/json');

// Check if the request method is POST
if ($_SERVER['REQUEST_METHOD'] == 'POST') {
  
    if (isset($_POST['userId'])) {
        $userId = mysqli_real_escape_string($conn, $_POST['userId']);

        // Query to fetch connection_user_id from connections table based on user_id
        $query = "SELECT connectionuserid FROM connections WHERE user_id = '$userId'";
        $result = mysqli_query($conn, $query);

        if (mysqli_num_rows($result) > 0) {
            $finalData = array();

            while ($row = mysqli_fetch_assoc($result)) {
                $connectionUserId = $row['connectionuserid'];

             
                $registerQuery = "SELECT * FROM register WHERE id = '$connectionUserId'";
                $registerResult = mysqli_query($conn, $registerQuery);

                if (mysqli_num_rows($registerResult) > 0) {
                    while ($registerRow = mysqli_fetch_assoc($registerResult)) {
                        $finalData[] = $registerRow; // Collect each matched user data
                    }
                }
            }


            $response = array(
                "ResponseCode" => "200",
                "Result" => "true",
                "ResponseMsg" => "Data retrieved successfully.",
                "ConnectionsData" => $finalData
            );
            echo json_encode($response);
        } else {
         
            $response = array(
                "ResponseCode" => "404",
                "Result" => "false",
                "ResponseMsg" => "No connections found for the provided userId."
            );
            echo json_encode($response);
        }
    } else {
  
        $response = array(
            "ResponseCode" => "400",
            "Result" => "false",
            "ResponseMsg" => "userId is required."
        );
        echo json_encode($response);
    }
} else {

    $response = array(
        "ResponseCode" => "405",
        "Result" => "false",
        "ResponseMsg" => "Method not allowed. Only POST requests are allowed."
    );
    echo json_encode($response);
}
?>
